UpdateStakeHolderRequestBody
Request body for partially updating an existing stakeholder (HTTP PATCH)
First name of the person (only for person stakeholders)
JohnLast name of the person (only for person stakeholders)
DoeCompany name (only for company stakeholders)
Acme CorporationSIREN number (only for company stakeholders)
123456789Address of the company
Postal code of the company
City of the company
External code of the company
contactsDetails object[]
Contact details list. If present, it REPLACES the existing list.
Email address of the contact (optional)
john.doe@example.comPhone number of the contact (optional)
0123456789Additional infos of the contact (optional)
Date of creation of the contact (optional)
2020-01-01Active flag. If present, it updates the current value.
trueFax of the company
Function of the person
phoneNumbers object[]
Qualified phone numbers. If present, it REPLACES the existing list.
Value of the coordinate (phone number or email)
0611223344Qualifier of the coordinate
MobileWhether this is the primary coordinate of its type
trueemails object[]
Qualified emails. If present, it REPLACES the existing list.
Value of the coordinate (phone number or email)
0611223344Qualifier of the coordinate
MobileWhether this is the primary coordinate of its type
trueRefers to the stakeholder hierarchy only (not the asset perimeter or a contract): uid of this stakeholder's parent company — the mother company for a company, the attachment company for a person
030f134a-fb24-4a16-8acb-d29d9ba50077{
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Corporation",
"siren": "123456789",
"address": "string",
"postalCode": "string",
"city": "string",
"externalCode": "string",
"contactsDetails": "Unknown Type: array,null",
"isActive": true,
"fax": "string",
"function": "string",
"phoneNumbers": "Unknown Type: array,null",
"emails": "Unknown Type: array,null",
"parentUid": "030f134a-fb24-4a16-8acb-d29d9ba50077"
}